Update a specific authorization by id
curl --request PUT \
--url https://api.rootly.com/v1/authorizations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "authorizations",
"attributes": {
"permissions": [
"read"
]
}
}
}
'{
"data": {
"id": "fddc618e-2cd9-4295-ab1f-0c9d7d587fe8",
"type": "authorizations",
"attributes": {
"authorizable_id": "025ce9c5-35bb-4a6b-b9cb-b11f24e73a97",
"authorizable_type": "Dashboard",
"grantee_id": "113",
"grantee_type": "User",
"permissions": [
"read",
"update"
],
"updated_at": "2026-02-07T16:45:39.014-08:00",
"created_at": "2026-02-07T16:45:38.964-08:00"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
authorization updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/authorizations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "authorizations",
"attributes": {
"permissions": [
"read"
]
}
}
}
'{
"data": {
"id": "fddc618e-2cd9-4295-ab1f-0c9d7d587fe8",
"type": "authorizations",
"attributes": {
"authorizable_id": "025ce9c5-35bb-4a6b-b9cb-b11f24e73a97",
"authorizable_type": "Dashboard",
"grantee_id": "113",
"grantee_type": "User",
"permissions": [
"read",
"update"
],
"updated_at": "2026-02-07T16:45:39.014-08:00",
"created_at": "2026-02-07T16:45:38.964-08:00"
}
}
}